#ifndef FORMSETTINGS_H
#define FORMSETTINGS_H

#include <QWidget>

#include "BaseWidget.h"

namespace Ui {
class FormSettings;
}

class FormSettings : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormSettings(BaseWidget *parent = nullptr);
    ~FormSettings();

    bool returnParent();

private:
    void initConnect();

signals:
    void showGeneralSettings();
    void showDeviceInformation();
    void showConfigurationKey();
    void showChargingRecords();
    void showFirmwareInfo();
    void showTransfer();
    void showLogView();
    void showPayment();

private:
    Ui::FormSettings *ui;
};

#endif // FORMSETTINGS_H
